{% extends 'base.html' %}

{% block content %}

<main>
    <div>
        <h1>My Tasks</h1>
        {% if task_list|length == 0 %}
            <p>You have no tasks</p>
        {% else %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>End date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in task_list %}
                    <tr>
                        <td>{{task.name}}</td>
                        <td>{{task.start_date}}</td>
                        <td>{{task.due_date}}</td>
                        {% if task.is_completed == True %}
                            <td>Done</td>
                        {% else %}
                            <td><form method="post" action="{% url 'complete_task' task.id %}">
                                {% csrf_token %}
                                <input type="hidden" name="is_completed" value="True">
                                <button>Complete</button>
                                </form>
                            </td>
                        {% endif %}
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% endif %}
    </div>
</main>

{% endblock content %}
